%define enable_check	0

Summary:	A utility for finding files by name via a central database
Name:		mlocate
Version:	0.26
Release:	%mkrel 11
License:	GPLv2+
Group:		File tools
URL:		https://pagure.io/mlocate
Source0:	https://releases.pagure.org/mlocate/%{name}-%{version}.tar.xz
Source1:	updatedb.conf
Source2:	mlocate-run-updatedb
Source3:	mlocate-updatedb.service
Source4:	mlocate-updatedb.timer
BuildRequires:	systemd-devel
Requires(pre):	shadow-utils
# standard systemd requires
%{?systemd_requires}
Provides:	bundled(gnulib)

%description
Mlocate is a locate/updatedb implementation.  It keeps a database of
all existing files, and allows you to lookup files by name.

The 'm' stands for "merging": updatedb reuses the existing database to avoid
rereading most of the file system, which makes updatedb faster and does not
trash the system caches as much as traditional locate implementations.

%prep
%setup -q

%build
%configure2_5x \
	--localstatedir=%{_localstatedir}/lib \
	--disable-rpath

%make_build

%install
%makeinstall_std

# install config file:
install -D -p -m 644 %{_sourcedir}/updatedb.conf %{buildroot}%{_sysconfdir}/updatedb.conf

# install systemd files:
install -D -p -m 750 %{_sourcedir}/mlocate-run-updatedb %{buildroot}%{_libexecdir}/mlocate-run-updatedb
install -D -p -m 644 %{_sourcedir}/mlocate-updatedb.service %{buildroot}%{_unitdir}/mlocate-updatedb.service
install -D -p -m 644 %{_sourcedir}/mlocate-updatedb.timer %{buildroot}%{_unitdir}/mlocate-updatedb.timer

# for %ghost:
touch %{buildroot}%{_localstatedir}/lib/mlocate/mlocate.db

%find_lang %{name}

%pre
if [ "$1" = "1" ]; then
	%{_sbindir}/groupadd -r -f mlocate
fi

%post
%create_ghostfile %{_localstatedir}/lib/mlocate/mlocate.db root mlocate 0640
%systemd_post mlocate-updatedb.timer
systemctl start mlocate-updatedb.timer

%preun
%systemd_preun mlocate-updatedb.timer

%postun
%systemd_postun_with_restart mlocate-updatedb.timer

%if %{enable_check}
%check
make check
%endif

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/updatedb.conf
%attr(2711,root,mlocate) %{_bindir}/locate
%{_unitdir}/mlocate-updatedb.service
%{_unitdir}/mlocate-updatedb.timer
%{_libexecdir}/mlocate-run-updatedb
%{_bindir}/updatedb
%{_mandir}/man*/*
%dir %attr(0750,root,mlocate) %{_localstatedir}/lib/mlocate
%ghost %attr(0640,root,mlocate) %{_localstatedir}/lib/mlocate/mlocate.db


%changelog
* Mon Mar 20 2017 wally <wally> 0.26-11.mga6
+ Revision: 1093797
- fix typo in %%postun

* Mon Mar 20 2017 wally <wally> 0.26-10.mga6
+ Revision: 1093793
- update URL and Source0 tags

* Mon Mar 20 2017 wally <wally> 0.26-9.mga6
+ Revision: 1093789
- run updatedb via systemd timer instead of cron (from Fedora)
- sync updatedb.conf with Fedora
- drop old slocate -> mlocate group fix

* Tue Feb 09 2016 umeabot <umeabot> 0.26-8.mga6
+ Revision: 952402
- Mageia 6 Mass Rebuild

* Thu Feb 19 2015 wally <wally> 0.26-7.mga5
+ Revision: 815953
- sync PRUNEFS with Fedora
- create mlocate.db ghost file with correct rights

* Wed Oct 15 2014 umeabot <umeabot> 0.26-6.mga5
+ Revision: 748541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.26-5.mga5
+ Revision: 682546
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.26-4.mga4
+ Revision: 507966
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.26-3.mga3
+ Revision: 360170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 0.26-2.mga3
+ Revision: 338157
- lower i/o priority of updatedb (mga#8426)

* Sun Oct 07 2012 luigiwalser <luigiwalser> 0.26-1.mga3
+ Revision: 303094
- 0.26

  + shlomif <shlomif>
    - Correct a typo.

* Sun Apr 01 2012 wally <wally> 0.25-2.mga2
+ Revision: 227639
- fix update when both mlocate and slocate group exists (mga#4901)

* Sun Mar 04 2012 wally <wally> 0.25-1.mga2
+ Revision: 217835
- new version 0.25

* Sat Apr 02 2011 wally <wally> 0.24-1.mga1
+ Revision: 79775
- new version 0.24
- sync cron and config file with Fedora
- use mlocate group instead of slocate
- update slocate group name to mlocate when updating
- drop buildroot definition

* Tue Jan 11 2011 wally <wally> 0.23.1-3.mga1
+ Revision: 6271
- clean configuration file from unwanted occurrence
- don't index cifs

* Tue Jan 11 2011 wally <wally> 0.23.1-2.mga1
+ Revision: 6260
- drop old provides, obsoletes and triggerpostun
- clean .spec a bit
- imported package mlocate


* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.23.1-1mdv2011.0
+ Revision: 582712
- update to new version 0.23.1

* Sat Sep 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.23-1mdv2011.0
+ Revision: 575980
- update to new version 0.23

* Sun Mar 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.22.4-2mdv2010.1
+ Revision: 528473
- rebuild
- update to 0.22.4

* Sun Mar 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.22.3-1mdv2010.1
+ Revision: 526116
- update to new version 0.22.3

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 0.22.2-1mdv2010.1
+ Revision: 463780
- new release

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.22.1-1mdv2010.0
+ Revision: 443300
- update to new version 0.22.1

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2010.0
+ Revision: 373856
- update to new version 0.22

* Fri Feb 27 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.21.1-4mdv2009.1
+ Revision: 345688
- get rid of pointless and weird bashism

* Fri Nov 21 2008 Pascal Terjan <pterjan@mandriva.org> 0.21.1-3mdv2009.1
+ Revision: 305487
- Don't index tmpfs

* Tue Nov 18 2008 Pascal Terjan <pterjan@mandriva.org> 0.21.1-2mdv2009.1
+ Revision: 304249
- List /afs only once
- Don't index sysfs and debugfs

* Tue Oct 28 2008 Frederik Himpe <fhimpe@mandriva.org> 0.21.1-1mdv2009.1
+ Revision: 298017
- Update to new version 0.21.1

* Tue Sep 30 2008 Thierry Vignaud <tv@mandriva.org> 0.21-2mdv2009.0
+ Revision: 290112
- run with io priority set as idle (prevent mad access if anacron starts it in
  the middle of the day)

* Wed Jul 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.21-1mdv2009.0
+ Revision: 230771
- update to new version 0.21
- update url
- new license policy
- do not package COPYING file
- spec file clean

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.20-2mdv2009.0
+ Revision: 219507
- really update db with decreased I/O priority at night (#41458)

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 0.20-1mdv2009.0
+ Revision: 192895
- new release

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.1
+ Revision: 177953
- update to new version 0.19

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.18-3mdv2008.1
+ Revision: 153142
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 24 2007 Thierry Vignaud <tv@mandriva.org> 0.18-2mdv2008.0
+ Revision: 92526
- run updatedb with ionice -c0

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18-1mdv2008.0
+ Revision: 71195
- spec file clean
- nuke rpath
- new version

* Thu May 03 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.17-1mdv2008.0
+ Revision: 21309
- Updated to 0.17.

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 0.16-1mdv2008.0
+ Revision: 16118
- new release


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.15-2mdv2007.0
+ Revision: 87061
- fix update (#27313)

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.15-1mdv2007.1
+ Revision: 86827
- Import mlocate

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-1mdv2007.1
- new release

* Wed Sep 20 2006 Pixel <pixel@mandriva.com> 0.14-5mdv2007.0
- add explicit conflicts with slocate

* Sun Sep 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.14-4mdv2007.0
- don't upgrade from slocate (#25338)

* Wed Aug 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.14-3mdv2007.0
- revert 2mdk, readd trigger, needed for updates (#24220

* Sun Aug 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.14-2mdv2007.0
- remove uneeded trigger

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.14-1mdv2007.0
- initial release (with ideas from rh)

